Name: quota
Summary: System administration tools for monitoring users' disk usage.
Version: 1.70
Release: 4mdk
Source: ftp://sunsite.unc.edu:/pub/Linux/system/Admin/quota-%{version}.tar.bz2
Copyright: BSD
Group: System/Configuration/Other
Patch0: quota-1.70-Makefile-fixes.patch.bz2
Patch1: quota-1.70-db2b.patch.bz2
Patch2: quota-1.70-glibc-headers-fix.patch.bz2
Patch3: quota-1.70-rootsquash.patch.bz2
Patch4: quota-1.70-sparc-fix.patch.bz2
Patch5: quota-1.70-typedef-fix.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: e2fsprogs-devel

%description
The quota package contains system administration tools for
monitoring and limiting users' and or groups' disk usage, per
filesystem.

%prep
%setup -q -c

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
perl -pi -e 's,/usr/etc/,/usr/sbin/,g' edquota.8 repquota.8 rquotad.8
perl -pi -e 's,/usr/etc/,/sbin/,g' quotaon.8


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/bin,usr/sbin,%{_mandir}/man{1,2,3,8}}
perl -pi -e "s!/usr/man!%{_mandir}!g" Makefile
make ROOTDIR=$RPM_BUILD_ROOT DEF_BIN_MODE=0555 DEF_SUID_MODE=0511 install

mv $RPM_BUILD_ROOT/usr/sbin/quota $RPM_BUILD_ROOT/usr/bin/quota

rm -f $RPM_BUILD_ROOT/usr/sbin/rpc.rquotad
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/rquotad.8*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
/sbin/*
/usr/sbin/*
/usr/bin/*
%{_mandir}/man?/*

%changelog
* Wed Oct 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.70-4mdk
- add quota binary to package (who Sux?)

* Fri Jul 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.70-3mdk
- Remove also rquotad.8 manpages to fix conflicts.


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.70-2mdk
- BM, macros


* Mon Jun 26 2000 Francis Galiegue <fg@mandrakesoft.com> 1.70-1mdk

- Removed docs.tar.gz, it was just dead weight
- Spec file cleanup
- Patches cleanup

* Sun Jun 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.66-12mdk
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>
- Some spec file fixes
- Changed group according to 7.1 specs
- Let spec helper do its job

* Tue Jan 11 2000 Pixel <pixel@linux-mandrake.com>
- fix build as non-root

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- rh merge.
- fix man page FUD.(r)
- changes to allow non-root users to build too (Makefile patch, %attr).(r)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- fix for sparc64 quotas (#2147)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- merge ultrapenguin 1.1.9 changes.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- removed patch for mntent

* Fri Mar 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- updated to quota 1.66

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- builds rquotad
- installs rpc.rquotad.8 symlink

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /usr/include/rpcsvc/* from filelist
- uses a buildroot and %attr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Moved /usr/sbin/quota to /usr/bin/quota
